import { jsx } from "react/jsx-runtime";
import { FunctionIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Function = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Function", ...props, children: /* @__PURE__ */ jsx(FunctionIcon, { weight: variant }) });
  }
);
Function.displayName = "Function";
Object.assign(Function, { isGdsIcon: true });
export {
  Function
};
